# POST /pro/viggle/video-task

**Method**: `POST`
**Endpoint**: `/pro/viggle/video-task`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
content-type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
bgMode
integer
Required
  // provider-specific example normalized for English documentation
modelInfoID
integer
Required
  // provider-specific example normalized for English documentation
imageID
string
Required
User-uploaded character ID
templateID
string
  // provider-specific example normalized for English documentation
Required
videoID
string
Required
  // provider-specific example normalized for English documentation
Example
{
"bgMode"
:
0
,
"modelInfoID"
:
0
,
"imageID"
:
"string"
,
"templateID"
:
"string"
,
"videoID"
:
"string"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/pro/viggle/video-task' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json' \
--data-raw '{
    "bgMode": 0,
    "modelInfoID": 0,
    "imageID": "string",
    "templateID": "string",
    "videoID": "string"
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 0,
    "message": "ok",
    "ts": "",
    "reason": "",
    "data": {
        "taskID": "7bf6fa01-607a-4420-87a9-92592f95ac9c",
        "mqType": 0
    }
}
```
